Bug 1797116 - sagemath: use python3 pathlib instead of python3-pathlib2
Summary: sagemath: use python3 pathlib instead of python3-pathlib2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sagemath
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 22:35 UTC by Jerry James
Modified: 2020-03-16 20:30 UTC (History)
1 user (show)

Fixed In Version: sagemath-9.0-1.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:17:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2020-01-31 22:35:12 UTC
Description of problem:
The pathlib2 python module is a backport of python3's pathlib module for python2.  It is not useful for python3 projects.  Upstream pathlib2 has shut down now that python2 has reached EOL; see https://github.com/mcmtroffaes/pathlib2/.

Please remove the BuildRequires on python3-pathlib2 from the sagemath spec file and patch the sources as necessary to use the native python3 pathlib module, so we can retire the python-pathlib2 package from Fedora.

Version-Release number of selected component (if applicable):
sagemath-8.9-2.fc32

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ben Cotton 2020-02-11 17:21:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Update System 2020-02-29 05:15:53 UTC
FEDORA-2020-b9c5874fe0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9c5874fe0

Comment 3 Fedora Update System 2020-02-29 21:14:37 UTC
sagemath-9.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b9c5874fe0

Comment 4 Fedora Update System 2020-03-16 20:17:53 UTC
sagemath-9.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-03-16 20:30:26 UTC
sagemath-9.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.